using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DressAtelierContracts.BindingModels;
using DressAtelierContracts.SearchModels;
using DressAtelierContracts.ViewModels;

namespace DressAtelierContracts.BusinessLogicContracts
{
    public interface IMaterialLogic
    {
        List<MaterialViewModel>? ReadList(MaterialSearchModel? model);

        MaterialViewModel? ReadElement(MaterialSearchModel model);

        bool Create(MaterialBindingModel model);
        bool Update(MaterialBindingModel model);
        bool Delete(MaterialBindingModel model);
    }
}
